summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChristian Grothoff <christian@grothoff.org>2022-09-18 11:13:47 +0200
committerChristian Grothoff <christian@grothoff.org>2022-09-18 11:13:47 +0200
commit973f634c5e2a2d905a97c052a223dd1bcf52ce8a (patch)
treeaf25b6f550162f0bc06af9c5c3710cf4634a8e68
parent7c3218472c0f4ba62e5044e97ce5bf18c3a08861 (diff)
downloadmerchant-973f634c5e2a2d905a97c052a223dd1bcf52ce8a.tar.gz
merchant-973f634c5e2a2d905a97c052a223dd1bcf52ce8a.tar.bz2
merchant-973f634c5e2a2d905a97c052a223dd1bcf52ce8a.zip
-test for at least one currency, instead of exactly one
-rwxr-xr-xsrc/testing/test_merchant_order_creation.sh15
1 files changed, 6 insertions, 9 deletions
diff --git a/src/testing/test_merchant_order_creation.sh b/src/testing/test_merchant_order_creation.sh
index 5fc7ee19..ce8507eb 100755
--- a/src/testing/test_merchant_order_creation.sh
+++ b/src/testing/test_merchant_order_creation.sh
@@ -28,15 +28,12 @@ taler-wallet-cli --no-throttle --wallet-db=$WALLET_DB api 'withdrawTestBalance'
taler-wallet-cli --wallet-db=$WALLET_DB run-until-done 2>wallet-withdraw-finish-1.err >wallet-withdraw-finish-1.out
echo " OK"
-# FIXME-CURRENCY: given the builtin exchange in the wallet, that's very
-# likely to have multiple currencies, hence the check below fails the test.
-# Remove, if it's now obsolete.
-#CURRENCY_COUNT=$(taler-wallet-cli --wallet-db=$WALLET_DB balance | jq '.balances|length')
-#if [ "$CURRENCY_COUNT" != "1" ]
-#then
-# echo 'should have one currency, withdrawal failed. check log.'
-# exit 1
-#fi
+CURRENCY_COUNT=$(taler-wallet-cli --wallet-db=$WALLET_DB balance | jq '.balances|length')
+if [ "$CURRENCY_COUNT" = "0" ]
+then
+ echo 'should have at least one currency, withdrawal failed. check log.'
+ exit 1
+fi
#
# CREATE INSTANCE FOR TESTING